<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.buy507.mall.mapper.DmsSellerBankAccountMapper">
  <resultMap id="BaseResultMap" type="com.buy507.mall.model.DmsSellerBankAccount">
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="account_name" jdbcType="VARCHAR" property="accountName" />
    <result column="bank_name" jdbcType="VARCHAR" property="bankName" />
    <result column="bank_card_num" jdbcType="VARCHAR" property="bankCardNum" />
    <result column="open_bank_address" jdbcType="VARCHAR" property="openBankAddress" />
  </resultMap>
  
  <select id="selectOneById" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    SELECT *
      FROM dms_seller_bank_account
     WHERE id = #{id}
  </select>
  
  
</mapper>